Bug 1212374 - ABI hash changes for s390 ghc 7.8.4
Summary: ABI hash changes for s390 ghc 7.8.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc
Version: 22
Hardware: s390
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2015-04-16 09:45 UTC by Dan Horák
Modified: 2015-05-08 07:34 UTC (History)
3 users (show)

Fixed In Version: ghc-7.8.4-44.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-08 07:34:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Horák 2015-04-16 09:45:17 UTC
The ABI hash changed for s390 (32-bit only)
between ghc-7.8.4-41.fc22 and ghc-7.8.4-42.fc22
and then again
between ghc-7.8.4-42.2.fc22 and ghc-7.8.4-43.fc22

Comment 1 Jens Petersen 2015-04-16 10:01:01 UTC
Change between 42.2 and 43 is to base.

For 41 and 42 at least bytestring changed.

Comment 2 Dan Horák 2015-04-16 10:01:54 UTC
the subpackage I checked is ghc-bytestring-devel

ghc-bytestring-devel = 0.10.4.0-43.fc22
ghc-bytestring-devel(s390-32) = 0.10.4.0-43.fc22
ghc-devel(bytestring-0.10.4.0-a38eb69cabfbe89e8d8f729239293977)

ghc-bytestring-devel = 0.10.4.0-42.2.fc22
ghc-bytestring-devel(s390-32) = 0.10.4.0-42.2.fc22
ghc-devel(bytestring-0.10.4.0-ed911e7019ca71e97666b106a852ff81)

ghc-bytestring-devel = 0.10.4.0-42.fc22
ghc-bytestring-devel(s390-32) = 0.10.4.0-42.fc22
ghc-devel(bytestring-0.10.4.0-ed911e7019ca71e97666b106a852ff81)

ghc-bytestring-devel = 0.10.4.0-41.fc22
ghc-bytestring-devel(s390-32) = 0.10.4.0-41.fc22
ghc-devel(bytestring-0.10.4.0-0b5b88348decbdcebbd54cb05aef5611)

Comment 3 Jens Petersen 2015-04-17 02:01:26 UTC
Your "make -j1" build has same base ABI hash as -42.2.
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1777914

Whereas your "make -j4" rebuild has same base hash as -43.
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1777911

It looks to me as if -j4 is unstable wrt ABI hashes on s390
but perhaps the -43 hash happens more often.

The -j4 build takes less than 2 hours, whereas the -j1 build takes almost 4 hours.  Might be worth trying -j2 or -j3 too.  My guess is that -j3 would
be stable: somehow s390 is just unlucky with unstable -j4.

I can do a -44 build soon which forces -j2 say for s390.

Maybe another factor is how many packages have been built with
-42.2 vs -43 say.  Assuming more with -42.2 then better to use
that hash I guess for F22.

Comment 5 Jens Petersen 2015-04-22 08:51:18 UTC
$ s390-koji rpminfo --buildroots ghc-compiler-7.8.4-41.fc22.s390| grep Used\ in 
Used in 256 buildroots:
$ s390-koji rpminfo --buildroots ghc-compiler-7.8.4-42.fc22.s390| grep Used\ in 
Used in 21 buildroots:
$ s390-koji rpminfo --buildroots ghc-compiler-7.8.4-42.2.fc22.s390| grep Used\ in 
Used in 1 buildroots:
$ s390-koji rpminfo --buildroots ghc-compiler-7.8.4-43.fc22.s390| grep Used\ in 
Used in 0 buildroots:

Comment 6 Jens Petersen 2015-04-23 08:08:47 UTC
Here is a summary of the base and bytestring hashes:

ghc(base-4.7.0.2-df338830bd5d424971e14b689f5c72dd)
ghc(bytestring-0.10.4.0-ed911e7019ca71e97666b106a852ff81) 
- ghc-7.8.4-42.fc22
- ghc-7.8.4-42.2.fc22
-j2 http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1780836 [5:07]
-j3 http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1780842 [4:20]

ghc(base-4.7.0.2-f17d569edb6d8cdf3c82780f71c69a57)
ghc(bytestring-0.10.4.0-a38eb69cabfbe89e8d8f729239293977)
- ghc-7.8.4-43.fc22
-j4 http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1777911

ghc(base-4.7.0.2-df338830bd5d424971e14b689f5c72dd)
ghc(bytestring-0.10.4.0-a38eb69cabfbe89e8d8f729239293977)
-j1 http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1777914

ghc(base-4.7.0.2-df338830bd5d424971e14b689f5c72dd)
ghc(bytestring-0.10.4.0-0b5b88348decbdcebbd54cb05aef5611)
- ghc-7.8.4-41.fc22

So the -41 (used a lot) ABI hashes seems hard to reproduce.

I think we should chose one of -j1, -j2 or -j3 and do another
test build to increase our confidence that their hashes are stable.

Comment 9 Jens Petersen 2015-04-28 04:38:36 UTC
ghc-7.8.4-44.fc23 has the change to -j2 for s390.

I will build it soon for f22 too.

Comment 10 Fedora Update System 2015-05-02 06:53:37 UTC
ghc-7.8.4-44.fc22, ghc-srpm-macros-1.4.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ghc-7.8.4-44.fc22,ghc-srpm-macros-1.4.2-1.fc22

Comment 11 Fedora Update System 2015-05-02 18:05:10 UTC
Package ghc-7.8.4-44.fc22, ghc-srpm-macros-1.4.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-7.8.4-44.fc22 ghc-srpm-macros-1.4.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7395/ghc-7.8.4-44.fc22,ghc-srpm-macros-1.4.2-1.fc22
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-05-08 07:34:17 UTC
ghc-7.8.4-44.fc22, ghc-srpm-macros-1.4.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.